#!/bin/bash
echo "TELEGRAM_BOT_TOKEN=${BOT_TOKEN}" >>.env.docker

# Store some info in app.info file
printf "Maintainer: \`win10@list.ru\`\n" >app.info
printf "repo url: \`%s\`\n" "$CI_PROJECT_URL" >>app.info
printf "last commit message: \`\`\`\n%s \`\`\`\n" "$(git log -1 --pretty=%B)" >>app.info

rm -rf "${APP_DIR:?}/"*
rsync -av --exclude=".git" . "${APP_DIR}"
cd "${APP_DIR}" || exit 1
sudo cp -f "${APP_DIR:?}/systemd/"* /lib/systemd/system/
sudo systemctl daemon-reload
sudo systemctl restart bot_sys_admin.service
